Cubase Essential 5 will not be updated any more?

For users of legacy Steinberg Cubase software
Post Reply
Danguru
New Member
Posts: 3
Joined: Wed Dec 15, 2010 7:03 pm
Contact:

Cubase Essential 5 will not be updated any more?

Post by Danguru » Tue Jan 04, 2011 3:26 pm

Wow, this new Steinberg forum is so Good! :D
I am now using Cubase Essential 5 as a registered user.
Some months ago, Cubase 5 and Cubase Studio 5 was updated to Ver 5.5
but my product have not been updated since 2009. Hummm....
Cubase Essential 5 will not be updated any more?? Please tell me.
Build number of all Cubase 4 Products was 4.5.2 even Essential 4 and Ai 4
But why cubase Essential 5 is....?? :oops:

And can I upgrade to Cubase studio 5 EDU with this version??
Hello, I am Taewoon. Thank you.

Guest

Re: Cubase Essential 5 will not be updated any more?

Post by Guest » Tue Jan 04, 2011 8:16 pm

There are no specific EDU upgrades. You can upgrade using the regular Cubase Essential 5 to Cubase Studio 5 upgrade.

Guest

Re: Cubase Essential 5 will not be updated any more?

Post by Guest » Tue Jan 04, 2011 10:22 pm

Hi Georg

Will there be an Essential 6?

Guest

Re: Cubase Essential 5 will not be updated any more?

Post by Guest » Thu Jan 06, 2011 2:01 pm

The Cubase Essential 5 product line will certainly be continued!

Guest

Re: Cubase Essential 5 will not be updated any more?

Post by Guest » Thu Jan 06, 2011 2:05 pm

Ok, thank you Georg for saying that, but maybe you have acknowledged already that there are problems with file compatibility between applications in seemingly unhelpful ways, e.g. AI opens files more readily than Essential when you pay for the latter.

Any more information is appreciated.

thinkingcap
Grand Senior Member
Posts: 6459
Joined: Tue Dec 21, 2010 3:27 pm

Re: Cubase Essential 5 will not be updated any more?

Post by thinkingcap » Thu Jan 06, 2011 2:25 pm

face.saver wrote:... - e.g. AI opens files more readily than Essential when you pay for the latter.
Where do you get that from? Personal experience..?
Cubase 5.1.1 (32bit) | Win 7 Pro x64 SP1 | RME Fireface UFX | RME Fireface 800 | Cubase Essential 5 | Win 7 Home Premium x64
-------------------------------------------------------------------------------------------------------------------------------------------
I just took off my thinkingcap, it got filled up with too much crap...

Guest

Re: Cubase Essential 5 will not be updated any more?

Post by Guest » Thu Jan 06, 2011 2:26 pm

EdDoll wrote:On a general note, we are aware of these annoying incomaptibilities between different versions and variants and with our upcoming Cubase versions we start improving this to a certain extend and will continue to do so from then on. Don't expect to be able to load everything into everything but this situation will improve over the upcoming product cycles.
Taken from here: http://www.steinberg.net/forum/viewtopi ... 6821#p6821
That's all that can be said in this regard right now.

Post Reply

Return to “Older Cubase versions”

Who is online

Users browsing this forum: No registered users and 5 guests